Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.multislider
Class DefaultMultiThumbModel<E>

    java.lang.Object
      org.jdesktop.swingx.multislider.AbstractMultiThumbModel<E>
          org.jdesktop.swingx.multislider.DefaultMultiThumbModel<E>

All Implemented Interfaces:
  java.lang.Iterable<Thumb<E>>, MultiThumbModel<E>

    public class DefaultMultiThumbModel<E>

extends AbstractMultiThumbModel<E>
implements MultiThumbModel<E>

Author:
  joshy

Field Summary
`protected java.util.List<Thumb<E>>` | `thumbs`

Fields inherited from class org.jdesktop.swingx.multislider.AbstractMultiThumbModel
`maximumValue, minimumValue, thumbDataListeners`

Constructor Summary
`DefaultMultiThumbModel()` Creates a new instance of DefaultMultiThumbModel

Method Summary
`int` | `addThumb(float value, E obj)`
`java.util.List<Thumb<E>>` | `getSortedThumbs()`
`Thumb<E>` | `getThumbAt(int index)`
`int` | `getThumbCount()`
`int` | `getThumbIndex(Thumb<E> thumb)`
`void` | `insertThumb(float value, E obj, int index)`
`java.util.Iterator<Thumb<E>>` | `iterator()`
`void` | `removeThumb(int index)`

Methods inherited from class org.jdesktop.swingx.multislider.AbstractMultiThumbModel
`addThumbDataListener, fireThumbPositionChanged, fireThumbValueChanged, getMaximumValue, getMinimumValue, removeThumbDataListener, setMaximumValue, setMinimumValue, thumbPositionChanged, thumbValueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jdesktop.swingx.multislider.MultiThumbModel
`addThumbDataListener, getMaximumValue, getMinimumValue, removeThumbDataListener, setMaximumValue, setMinimumValue, thumbPositionChanged, thumbValueChanged`

Field Detail

### thumbs

    protected java.util.List<Thumb<E>> thumbs

Constructor Detail

### DefaultMultiThumbModel

    public DefaultMultiThumbModel()

  Creates a new instance of DefaultMultiThumbModel

Method Detail

### addThumb

    public int addThumb(float value,
                        E obj)

  Specified by:
    `addThumb` in interface `MultiThumbModel<E>`

### insertThumb

    public void insertThumb(float value,
                            E obj,
                            int index)

  Specified by:
    `insertThumb` in interface `MultiThumbModel<E>`

### removeThumb

    public void removeThumb(int index)

  Specified by:
    `removeThumb` in interface `MultiThumbModel<E>`

### getThumbCount

    public int getThumbCount()

  Specified by:
    `getThumbCount` in interface `MultiThumbModel<E>`

### getThumbAt

    public Thumb<E> getThumbAt(int index)

  Specified by:
    `getThumbAt` in interface `MultiThumbModel<E>`

### getSortedThumbs

    public java.util.List<Thumb<E>> getSortedThumbs()

  Specified by:
    `getSortedThumbs` in interface `MultiThumbModel<E>`

### iterator

    public java.util.Iterator<Thumb<E>> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Thumb<E>>`

### getThumbIndex

    public int getThumbIndex(Thumb<E> thumb)

  Specified by:
    `getThumbIndex` in interface `MultiThumbModel<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.